Bug 1557025 - [RFE] Amazon provider - Allow user to enable and disable instance_types
Summary: [RFE] Amazon provider - Allow user to enable and disable instance_types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: James Wong
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:instance
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-15 19:44 UTC by Bronagh Sorota
Modified: 2018-06-25 14:19 UTC (History)
10 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 14:18:37 UTC
Category: ---
Cloudforms Team: AWS


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19:25 UTC

Description Bronagh Sorota 2018-03-15 19:44:27 UTC
Description of problem:

Amazon releases support for new instance types on a regular basis, yet CloudForms customers have to wait for a new version of the product to be released before being getting access to them.

This ticket calls for a way for customers to be able to add or remove support for AWS instance types through advanced settings in the same way support for provider regions can be enabled or disabled.

Comment 2 Dave Johnson 2018-03-15 19:45:13 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Dave Johnson 2018-03-15 20:04:43 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 Bronagh Sorota 2018-03-16 12:51:03 UTC
This BZ was created for the backport of PR https://github.com/ManageIQ/manageiq-providers-amazon/pull/289 to 4.5.z

Comment 5 Bronagh Sorota 2018-03-26 14:54:04 UTC
Answered needsinfo in https://bugzilla.redhat.com/show_bug.cgi?id=1557025#c4
removing needsinfo flag.

Comment 6 CFME Bot 2018-04-09 18:35:51 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/1efe7a4aff9ce4d2027c9de2fd0f5715b9a5eb46
commit 1efe7a4aff9ce4d2027c9de2fd0f5715b9a5eb46
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Sep 20 17:23:27 2017 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Sep 20 17:23:27 2017 -0400

    Merge pull request #15990 from jameswnl/rep-server-settings

    Tool to replicate server settings to other servers
    (cherry picked from commit a215bb733535f250c58c18c555793b9b09cc805e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1557025

 spec/tools/server_settings_replicator/server_settings_replicator_spec.rb | 31 +
 tools/replicate_server_settings.rb | 20 +
 tools/server_settings_replicator/server_settings_replicator.rb | 31 +
 3 files changed, 82 insertions(+)

Comment 7 CFME Bot 2018-04-09 19:41:15 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/fine:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/27eb32c874b4c877f200b81b0e141b73a2703287
commit 27eb32c874b4c877f200b81b0e141b73a2703287
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Mon Sep 18 14:35:06 2017 -0400
Commit:     Bronagh Sorota <bsorota@redhat.com>
CommitDate: Mon Sep 18 14:35:06 2017 -0400

    Merge pull request #289 from jameswnl/instancetypes

    Support custom instance_types
    (cherry picked from commit 5d3a5f8950878e75d9cbef6255213b9c04e0aaa9)

    https://bugzilla.redhat.com/show_bug.cgi?id=1557025

 app/models/manageiq/providers/amazon/instance_types.rb | 16 +-
 config/settings.yml | 13 +
 lib/tasks_private/instance_types.rake | 24 +-
 spec/models/manageiq/providers/amazon/instance_types_spec.rb | 75 +
 4 files changed, 114 insertions(+), 14 deletions(-)

Comment 11 Matouš Mojžíš 2018-05-16 14:10:36 UTC
Hello,
I tried to reproduce it on my appliance.
I was able to disable instance types, but adding another instance type didn't add it to flavors.

Comment 12 Matouš Mojžíš 2018-05-18 09:11:21 UTC
James,
I was able to add instance type and instance type is listed in Flavors, but I don't know how set virtualization type for custom instance type.
I tried this:
        :virtualization_type:
        - HVM
        - paravirtual
        - hvm
but it didn't work.
Thanks

Comment 13 James Wong 2018-05-18 20:08:04 UTC
Motous,

Can you try using ':hvm' as the value?

thanks
James

Comment 14 Matouš Mojžíš 2018-05-21 15:37:30 UTC
James,

I was able to set HVM/paravirtualization to true in flavors list,
but I still can't see this custom instance in Provision properties.
I tried it with EBS and even without it.

Thanks

Comment 15 James Wong 2018-05-21 19:55:20 UTC
Matous,

Interesting, I'm able to see the new types in rails c

irb(main):028:0> ManageIQ::Providers::Amazon::InstanceTypes.instance_types['t9.large']
=> {:ebs_only=>false, :virtualization_type=>[:hvm, :paravirtual], :architecture=>[], :vcpu=>1, :memory=>4096, :description=>"T9 Large", :family=>"General purpose", :name=>"t9.large"}
irb(main):030:0> ManageIQ::Providers::Amazon::InstanceTypes.instance_types['t9.large'][:virtualization_type]
=> [:hvm, :paravirtual]

Comment 16 Matouš Mojžíš 2018-05-22 11:08:39 UTC
James,

I am able to see custom instance types in Instance Types (Flavors page),
but they are not displayed in provisioning while selecting instance type.

Comment 17 Bronagh Sorota 2018-05-22 19:30:43 UTC
Hi Matous,
I think the problem with the provisioning dialogs is a separate issue, can you please open a new BZ to track it.

Thanks
Bronagh

Comment 18 Matouš Mojžíš 2018-05-23 15:44:26 UTC
Okay,
verified in 5.8.4.3. I am able to add custom instance type.
Also I filed this BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1581785

Comment 20 errata-xmlrpc 2018-06-25 14:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.